diff --git a/.travis.yml b/.travis.yml
index 532db516576..c30c9ff95b4 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,5 +1,4 @@
language: cpp
-sudo: required
services:
- docker
@@ -22,7 +21,7 @@ env:
global:
secure: Fw9j5BpL8e5f2boEC2D8l0Cm+pCJx7lyvpZvockSM9cF2Cnt/QPbknJLXPryExLhweQO/lvi0MPuoMhRJv0QbChBjdXzJmR+uU1ejCHfpkTc6Cm/yo3tZMG3Zm7vHs00gla2ytK+XyFIVZLtFxyzy2fxjD64sFO3YrUp0KzSXp8=
-matrix:
+jobs:
include:
- os: windows
env: TOOL=msbuild NLS=false IMAGE=VC14 BRANCH=master CFG=Debug UPLOAD=true
@@ -30,8 +29,8 @@ matrix:
- os: windows
env: TOOL=msbuild NLS=false IMAGE=VC14 BRANCH=master CFG=Release
-# - os: windows
-# env: TOOL=msbuild NLS=false IMAGE=VC16 BRANCH=master CFG=Debug UPLOAD=true
+ - os: windows
+ env: TOOL=msbuild NLS=false IMAGE=VC16 BRANCH=master CFG=Debug UPLOAD=true
- os: windows
env: TOOL=msbuild NLS=false IMAGE=VC16 BRANCH=master CFG=Release
@@ -39,7 +38,7 @@ matrix:
- os: osx
osx_image: xcode11.3
compiler: clang
- env: TOOL=xcodebuild NLS=true BRANCH=master CFG=Debug
+ env: TOOL=xcodebuild NLS=true CFG=Debug BRANCH=master
- os: osx
osx_image: xcode11.3
diff --git a/projectfiles/VC16/wesnoth.vcxproj b/projectfiles/VC16/wesnoth.vcxproj
index 4d85939345d..869382851f3 100644
--- a/projectfiles/VC16/wesnoth.vcxproj
+++ b/projectfiles/VC16/wesnoth.vcxproj
@@ -128,7 +128,7 @@
false
Level4
ProgramDatabase
- 4503;4351;4250;4244;4127;4512;4003;4068;%(DisableSpecificWarnings)
+ 4503;4351;4250;4244;4127;4512;4003;4068;4267;%(DisableSpecificWarnings)
true
boost-patched/bind/arg.hpp;%(ForcedIncludeFiles)
4239
@@ -192,11 +192,6 @@
../../packaging/windows/wesnoth.exe.manifest;%(AdditionalManifestFiles)
-
- WML unit tests for Wesnoth
-
-
-
diff --git a/utils/travis/steps/install.sh b/utils/travis/steps/install.sh
index f11a913f386..5b52d8eea84 100755
--- a/utils/travis/steps/install.sh
+++ b/utils/travis/steps/install.sh
@@ -36,25 +36,28 @@ if [ "$TRAVIS_OS_NAME" = "osx" ]; then
export CCACHE_COMPILERCHECK=content
travis_wait ./projectfiles/Xcode/Fix_Xcode_Dependencies
elif [ "$TRAVIS_OS_NAME" = "windows" ]; then
- choco install sqlite
- choco install python --version=3.6.8
if [ "$IMAGE" == "VC16" ]; then
choco install visualstudio2019community --package-parameters "--includeRecommended --includeOptional"
choco install visualstudio2019-workload-vctools
fi
- cd /c/Python36
- ln -s python.exe python3.exe
- export PATH="/c/Python36:"$PATH":/c/Python36/Scripts/"
- yes | pip3 install paramiko
- if [ "$(which python3)" == "" ] || [ "$(which sqlite3)" == "" ]; then
- echo "Failed to retrieve dependencies!"
- exit 1
- else
- echo "Dependencies retrieved and installed!"
- fi
- cd $TRAVIS_BUILD_DIR
- ./utils/travis/windows-file-hasher.sh "projectfiles/$IMAGE/$CFG/filehashes.sqlite"
+ if [[ "$IMAGE" == "VC14" || ( "$IMAGE" == "VC16" && -d "$HOME/vcpkg/installed" ) ]]; then
+ choco install sqlite
+ choco install python --version=3.6.8
+ cd /c/Python36
+ ln -s python.exe python3.exe
+ export PATH="/c/Python36:"$PATH":/c/Python36/Scripts/"
+ yes | pip3 install paramiko
+ if [ "$(which python3)" == "" ] || [ "$(which sqlite3)" == "" ]; then
+ echo "Failed to retrieve dependencies!"
+ exit 1
+ else
+ echo "Dependencies retrieved and installed!"
+ fi
+
+ cd $TRAVIS_BUILD_DIR
+ ./utils/travis/windows-file-hasher.sh "projectfiles/$IMAGE/$CFG/filehashes.sqlite"
+ fi
else
# if not doing translations, save a bit of time by not copying them into the docker image
# otherwise, if this is the mingw job, the .git directory is needed for running the git archive command
diff --git a/utils/travis/steps/script.sh b/utils/travis/steps/script.sh
index 70a480b4d5a..00ad70efb0d 100755
--- a/utils/travis/steps/script.sh
+++ b/utils/travis/steps/script.sh
@@ -29,9 +29,14 @@ elif [ "$TRAVIS_OS_NAME" = "windows" ]; then
cd vcpkg
cmd.exe //C bootstrap-vcpkg.bat
cmd.exe //C 'C:\Program Files (x86)\Microsoft Visual Studio\2019\BuildTools\VC\Auxiliary\Build\vcvarsall.bat' amd64 '&&' vcpkg integrate install
- echo "set(VCPKG_BUILD_TYPE release)" >> triplets/x64-windows.cmake
alias make="make -j4"
- ./vcpkg install sdl2:x64-windows sdl2-image:x64-windows sdl2-mixer:x64-windows sdl2-ttf:x64-windows bzip2:x64-windows zlib:x64-windows pango:x64-windows cairo:x64-windows fontconfig:x64-windows libvorbis:x64-windows libogg:x64-windows boost-filesystem:x64-windows boost-iostreams:x64-windows boost-locale:x64-windows boost-random:x64-windows boost-regex:x64-windows boost-asio:x64-windows boost-program-options:x64-windows boost-system:x64-windows boost-thread:x64-windows boost-bimap:x64-windows boost-multi-array:x64-windows boost-ptr-container:x64-windows boost-logic:x64-windows boost-format:x64-windows
+ ./vcpkg install sdl2:x64-windows sdl2-image:x64-windows sdl2-mixer:x64-windows sdl2-ttf:x64-windows bzip2:x64-windows zlib:x64-windows pango:x64-windows cairo:x64-windows fontconfig:x64-windows libvorbis:x64-windows libogg:x64-windows boost-filesystem:x64-windows boost-iostreams:x64-windows boost-locale:x64-windows boost-random:x64-windows boost-regex:x64-windows boost-asio:x64-windows boost-program-options:x64-windows boost-system:x64-windows boost-thread:x64-windows boost-bimap:x64-windows boost-multi-array:x64-windows boost-ptr-container:x64-windows boost-logic:x64-windows boost-format:x64-windows &
+ waitforpid=$!
+ while kill -0 $waitforpid
+ do
+ echo "vcpkg install in progress with pid $waitforpid ..."
+ sleep 60
+ done
rm -R downloads
rm -R buildtrees
echo "Built dependencies, exiting now to cache them. Please restart the job."